#include "../Util/PositionVector.h"

#ifndef ENTITY_H
#define ENTITY_H

namespace game
{
    class Maze;
    class Entity {
        private:
            PositionVector pos;
            char display_character;
        public:
            Entity(PositionVector starting_position, char display_character);
            void move(const Maze& maze, const PositionVector& player_position);
            bool is_at_position(const PositionVector& position) const;
    };
} // game

#endif //ENTITY_H
