#include "Entity.h"

namespace game {
    Entity::Entity(PositionVector starting_position, char display_character): pos(starting_position), display_character(display_character){}

    bool Entity::is_at_position(const PositionVector& position) const {
        return this->pos.eq(position);
    }


    void move(const Maze& maze, const PositionVector& player_position);
}
